package cn.com.ctop.job.bytedance.controller;

import cn.com.ctop.job.bytedance.data.entity.OauthToken;
import cn.com.ctop.job.bytedance.data.service.IBytedanceFileVideoGetService;
import cn.com.ctop.job.bytedance.data.service.IOauthTokenService;
import cn.com.ctop.job.bytedance.data.utils.Check;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * zian Y
 * 2022/2/9
 **/

@RestController
@RequestMapping("/bytedance/bytedanceController")
@Api(tags="头条")
@Slf4j
public class BytedanceController {
    @Autowired
    private IOauthTokenService tokenService;

    @Autowired
    private IBytedanceFileVideoGetService fileVideoService;



    @ApiOperation(value="根据账户获取视频素材-账户/素材id 下全部视频素材", notes="根据账户获取视频素材-账户/素材id 下全部视频素材")
    @PostMapping(value = "/getBytedanceVideoByAccountId")
    public Map<String,String> getBytedanceVideoByAccountId(@RequestBody JSONObject jsonObject) {
        Long accountId = jsonObject.getLong("accountId");
        JSONArray dataList = jsonObject.getJSONArray("materialIds");
        List<Long> materialIds = Check.isNull(dataList) ? null : JSONArray.parseObject(dataList.toJSONString(),List.class);

        String token = tokenService.getByAccountId(accountId);
        OauthToken oauthToken = new OauthToken();
        oauthToken.setAccessToken(token);
        oauthToken.setAccountId(accountId);
        return fileVideoService.getBytedanceVideoByAccountId(oauthToken, materialIds,1, 100);
    }





}